import request from "@/utils/request";
/**
 * 查询测试步骤
 */
export function selectEvalueSteps() {
  return request({
    url: "/front/syzy/holland/steps",
    method: "get"
  });
}

/**
 * 获取测试问题以及选项
 * query传参方式
 */
export function selectquestions(params) {
  return request({
    url:`/front/syzy/holland/questions`,
    method:'get',
    params:params
  })
}
//getDetail
/**
 * 保存测试
 * @param data
 */
export function saveQuestions(data){
  return request({
    url:`/front/syzy/holland/save`,
    method:'post',
    data
  })
}

/**
 * 查询记录列表
 * @param params
 */
export function selectReportList(params){
  return request({
    url:`/front/syzy/holland/record`,
    method:'get',
    params
  })
}

/**
 * 获取 迈尔斯布里格斯类型指标（MBTI） 步骤
 */
export function selectMbtiEvalueSteps() {
  return request({
    url: "/front/syzy/mbti/steps",
    method: "get"
  });
}

/**
 * MBTI步骤题目
 * @param params
 */
export function selectMbtiQuestions(params) {
  return request({
    url:`front/syzy/mbti/questions`,
    method:'get',
    params:params
  })
}

/**
 * 保存MBTI题目
 * @param data
 */
export function saveMbtiQuestions(data){
  return request({
    url:`/front/syzy/mbti/save`,
    method:'post',
    data
  })
}

/**
 * 查询MBTI报告列表
 * @param params
 */
export function selectMbtiReportList(params){
  return request({
    url:`/front/syzy/mbti/record`,
    method:'get',
    params
  })
}
